function  binarize_snpdata(datafile)

% function binarize_snpdata(datafile)
%
% this function binarize the SNP data which includes trans_data, chromoID, chromoLoc, infoheaders, patient_ids,
% sub_info, snpRSNums

% modified on 12/27/2010 by Wen

load(datafile)
 
n = unique(trans_data);
k = size(n,1);
[p q] = size(trans_data);
output = zeros(p,k*q);

for i=1:k
	tmp=output(:,i:k:end);
	tmp(find(trans_data==n(i)))=1;
	output(:,i:k:end)=tmp;
end

chromoID = rude(k*ones(size(chromoID)),chromoID);
chromoLoc = rude(k*ones(size(chromoLoc)),chromoLoc);
snpRSNums = rude(k*ones(size(snpRSNums)),snpRSNums);

trans_data = output;

save(datafile,'trans_data','chromoID','chromoLoc','infoheaders','patient_ids','sub_info','snpRSNums','classnew')

