function new_trans_data = func_imputeSNPdata (trans_data)

% FUNCTION: new_trans_data = func_imputeSNPdata (trans_data)
%
% This function imputes missing alleles in SNP dataset by
% replacing them with major-major.
%
% INPUT: trans_data
% OUTPUT: new_trans_data
%
% sample run: new_trans_data = func_imputeSNPdata (trans_data);

[nsample nsnp] = size(trans_data);
for i = 1:nsnp

	snp = trans_data(:, i);
	sum0 = sum( snp==0 );
	sum1 = sum( snp==1 );	
	sum2 = sum( snp==2 );
	[m gen] = max([sum0 sum1 sum2]);
	snp(snp==-1) = gen-1;
	trans_data(:, i) = snp;

end
new_trans_data = trans_data;
